Description: In order to enable hardening flags we need to pass them to
 QMAKE. According to
 https://wiki.debian.org/Hardening#Notes_for_packages_using_QMake this is the
 easiest way.
Author: Paul Gevers <elbrus@debian.org>

Index: libqtpas/Qt5Pas.pro
===================================================================
--- libqtpas.orig/Qt5Pas.pro
+++ libqtpas/Qt5Pas.pro
@@ -8,7 +8,11 @@
 #  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 #******************************************************************************
 
-
+# As described on https://wiki.debian.org/Hardening#Notes_for_packages_using_QMake
+QMAKE_CPPFLAGS *= $(shell dpkg-buildflags --get CPPFLAGS)
+QMAKE_CFLAGS   *= $(shell dpkg-buildflags --get CFLAGS)
+QMAKE_CXXFLAGS *= $(shell dpkg-buildflags --get CXXFLAGS)
+QMAKE_LFLAGS   *= $(shell dpkg-buildflags --get LDFLAGS)
 
 # Binding Release Version 2.6 against Qt5 5.6 LTS release.
 # WebKit widgets are disabled until webenginewidgets are implemented.
